gi-gdk-3.0.29: Gdk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gdk.Structs.EventWindowState

Contents

- Exported types
- Methods
- Properties
  - changedMask
  - newWindowState
  - sendEvent
  - type
  - window

Description

Generated when the state of a toplevel window changes.

Synopsis

- newtype EventWindowState = EventWindowState (ManagedPtr EventWindowState)
- newZeroEventWindowState :: MonadIO m => m EventWindowState
- getEventWindowStateChangedMask :: MonadIO m => EventWindowState -> m [WindowState]
- setEventWindowStateChangedMask :: MonadIO m => EventWindowState -> [WindowState] -> m ()
- getEventWindowStateNewWindowState :: MonadIO m => EventWindowState -> m [WindowState]
- setEventWindowStateNewWindowState :: MonadIO m => EventWindowState -> [WindowState] -> m ()
- getEventWindowStateSendEvent :: MonadIO m => EventWindowState -> m Int8
- setEventWindowStateSendEvent :: MonadIO m => EventWindowState -> Int8 -> m ()
- getEventWindowStateType :: MonadIO m => EventWindowState -> m EventType
- setEventWindowStateType :: MonadIO m => EventWindowState -> EventType -> m ()
- clearEventWindowStateWindow :: MonadIO m => EventWindowState -> m ()
- getEventWindowStateWindow :: MonadIO m => EventWindowState -> m (Maybe Window)
- setEventWindowStateWindow :: MonadIO m => EventWindowState -> Ptr Window -> m ()

# Exported types

newtype EventWindowState Source #

Memory-managed wrapper type.

Constructors

EventWindowState (ManagedPtr EventWindowState) |

#### Instances

Instances details

Eq EventWindowState Source # |
Instance details Defined in GI.Gdk.Structs.EventWindowState Methods (==) :: EventWindowState -> EventWindowState -> Bool Source # (/=) :: EventWindowState -> EventWindowState -> Bool Source #
BoxedPtr EventWindowState Source # |
Instance details Defined in GI.Gdk.Structs.EventWindowState Methods boxedPtrCopy :: EventWindowState -> IO EventWindowState Source # boxedPtrFree :: EventWindowState -> IO () Source #
CallocPtr EventWindowState Source # |
Instance details Defined in GI.Gdk.Structs.EventWindowState Methods boxedPtrCalloc :: IO (Ptr EventWindowState) Source #
ManagedPtrNewtype EventWindowState Source # |
Instance details Defined in GI.Gdk.Structs.EventWindowState Methods toManagedPtr :: EventWindowState -> ManagedPtr EventWindowState Source #
tag ~ 'AttrSet => Constructible EventWindowState tag Source # |
Instance details Defined in GI.Gdk.Structs.EventWindowState Methods new :: MonadIO m => (ManagedPtr EventWindowState -> EventWindowState) -> [AttrOp EventWindowState tag] -> m EventWindowState Source #

newZeroEventWindowState :: MonadIO m => m EventWindowState Source #

Construct a `EventWindowState` struct initialized to zero.

# Methods

# Properties

## changedMask

mask specifying what flags have changed.

getEventWindowStateChangedMask :: MonadIO m => EventWindowState -> m [WindowState] Source #

Get the value of the “`changed_mask`” field. When overloading is enabled, this is equivalent to

    get eventWindowState #changedMask

setEventWindowStateChangedMask :: MonadIO m => EventWindowState -> [WindowState] -> m () Source #

Set the value of the “`changed_mask`” field. When overloading is enabled, this is equivalent to

    set eventWindowState [ #changedMask := value ]

## newWindowState

the new window state, a combination of `WindowState` bits.

getEventWindowStateNewWindowState :: MonadIO m => EventWindowState -> m [WindowState] Source #

Get the value of the “`new_window_state`” field. When overloading is enabled, this is equivalent to

    get eventWindowState #newWindowState

setEventWindowStateNewWindowState :: MonadIO m => EventWindowState -> [WindowState] -> m () Source #

Set the value of the “`new_window_state`” field. When overloading is enabled, this is equivalent to

    set eventWindowState [ #newWindowState := value ]

## sendEvent

`True` if the event was sent explicitly.

getEventWindowStateSendEvent :: MonadIO m => EventWindowState -> m Int8 Source #

Get the value of the “`send_event`” field. When overloading is enabled, this is equivalent to

    get eventWindowState #sendEvent

setEventWindowStateSendEvent :: MonadIO m => EventWindowState -> Int8 -> m () Source #

Set the value of the “`send_event`” field. When overloading is enabled, this is equivalent to

    set eventWindowState [ #sendEvent := value ]

## type

the type of the event (`EventTypeWindowState`).

getEventWindowStateType :: MonadIO m => EventWindowState -> m EventType Source #

Get the value of the “`type`” field. When overloading is enabled, this is equivalent to

    get eventWindowState #type

setEventWindowStateType :: MonadIO m => EventWindowState -> EventType -> m () Source #

Set the value of the “`type`” field. When overloading is enabled, this is equivalent to

    set eventWindowState [ #type := value ]

## window

the window which received the event.

clearEventWindowStateWindow :: MonadIO m => EventWindowState -> m () Source #

Set the value of the “`window`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #window

getEventWindowStateWindow :: MonadIO m => EventWindowState -> m (Maybe Window) Source #

Get the value of the “`window`” field. When overloading is enabled, this is equivalent to

    get eventWindowState #window

setEventWindowStateWindow :: MonadIO m => EventWindowState -> Ptr Window -> m () Source #

Set the value of the “`window`” field. When overloading is enabled, this is equivalent to

    set eventWindowState [ #window := value ]